summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-11 05:34:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-11 05:34:43 +0000
commitc6b1303dc45b5ebfb54a8c794a9d2cbe8403feda (patch)
treea1976bf41ff9a62752238283251c6f8d6ec5efb8 /dev-python
parent65d5f3770dd660e17c09b628f5e06191f8bf9d11 (diff)
downloadbaldeagleos-repo-c6b1303dc45b5ebfb54a8c794a9d2cbe8403feda.tar.gz
baldeagleos-repo-c6b1303dc45b5ebfb54a8c794a9d2cbe8403feda.tar.xz
baldeagleos-repo-c6b1303dc45b5ebfb54a8c794a9d2cbe8403feda.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/libvirt-python/libvirt-python-6.8.0.ebuild2
-rw-r--r--dev-python/podcastparser/Manifest2
-rw-r--r--dev-python/podcastparser/podcastparser-0.6.6.ebuild (renamed from dev-python/podcastparser/podcastparser-0.6.4.ebuild)2
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-1.26.0.ebuild69
5 files changed, 73 insertions, 3 deletions
diff --git a/dev-python/libvirt-python/libvirt-python-6.8.0.ebuild b/dev-python/libvirt-python/libvirt-python-6.8.0.ebuild
index 412e71c095a1..f90b272ee793 100644
--- a/dev-python/libvirt-python/libvirt-python-6.8.0.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-6.8.0.ebuild
@@ -17,7 +17,7 @@ if [[ ${PV} = *9999* ]]; then
RDEPEND="app-emulation/libvirt:=[-python(-)]"
else
SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz"
- KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+ KEYWORDS="amd64 ~arm64 ~ppc64 x86"
RDEPEND="app-emulation/libvirt:0/${PV}"
fi
S="${WORKDIR}/${P%_rc*}"
diff --git a/dev-python/podcastparser/Manifest b/dev-python/podcastparser/Manifest
index 61e3c6699491..5a77c2429625 100644
--- a/dev-python/podcastparser/Manifest
+++ b/dev-python/podcastparser/Manifest
@@ -1,2 +1,2 @@
DIST 0.6.5.tar.gz 23527 BLAKE2B fea72dd7ef3e4741217c46f57ac1badb7a8520d195d304815ac0ba8f20a58c4e9dc79023773b630094ee6b8550273016ba53c0712c027dbd7aaa8ee269b459e2 SHA512 f494ed3c2d7454fa627ade0b378c5c4b68bfbcd7c98f7d516523c5902a0ae54e5a88a0c8e13b9844f7d8f964a17eedcce1c7518a2df4f3aa0ab8257265dbe2ff
-DIST podcastparser-0.6.4.tar.gz 22446 BLAKE2B b6111251c6ce325a91e763402d7f0a6cfd137491939dd581e1e4f1bb2458b741fee0a61eed009b61876224722fb4e43d289b2a294e02bccb724e2f0337786884 SHA512 c63065aa822b0210891c3316fc592591bcc962e16c52a86815637634ad5f02d3f559596e3727d56d191c454f28320e21ddb469ff8473fc99f57ea830fb046b2a
+DIST 0.6.6.tar.gz 24155 BLAKE2B 3fed3a9bc49b1528db4aeb5c0daa087f5068f5912b7bb5b5246ae51e867a6c8bc7d5e50c08c13f6fd2b3b538443fef0424a6a5f12d0db36239daaa693808cbb1 SHA512 66f170fefc0b9419769705eb3f60e37b130b7add783840b03aa86b2362694b5603be69903bcf49d9429b31586764651302df5dc46ce4c52a18d51615550e4c02
diff --git a/dev-python/podcastparser/podcastparser-0.6.4.ebuild b/dev-python/podcastparser/podcastparser-0.6.6.ebuild
index 7eaf81087d69..7f4d065191c1 100644
--- a/dev-python/podcastparser/podcastparser-0.6.4.ebuild
+++ b/dev-python/podcastparser/podcastparser-0.6.6.ebuild
@@ -8,7 +8,7 @@ inherit distutils-r1
DESCRIPTION="Podcast parser for the gpodder client"
HOMEPAGE="https://gpodder.org"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/gpodder/podcastparser/archive/${PV}.tar.gz"
LICENSE="ISC"
SLOT="0"
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 5d7dec94ee50..585f9b56c642 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,3 +1,4 @@
DIST urllib3-1.24.2.tar.gz 230699 BLAKE2B 9c2f2be8fa743f542493d75072c02423d1bd40189561fa0ea393a8a2515b24da9a2a383aeec35b55bdd2a9954d3d585450d759548358ed91ecfdb9ec03d391b6 SHA512 9939e9e7c4da30b5effb334969cd835c9d0404a136761098203c699570aab02e63fb3f1b4ab680def0bc0906fabe5f0782ab94cf3095ff10ccf9b3c371653cf2
DIST urllib3-1.25.10.tar.gz 256875 BLAKE2B 3f2ad2cb3ac9a09f73c1ec03e89aa7313055afa443c53ec82fd9227348859566e20ca33b803972134be24eeed070c63b98e6ae75efde4006e2a4bb7b4cf3f054 SHA512 5718dab472a476bfd555753758ceef46c81dc358131205b6db05d186a66f397dc07252eda1622d12586390ccf14e8e17acdb9486c17cb7d34e323287a67373af
DIST urllib3-1.25.11.tar.gz 260300 BLAKE2B 06bd2107bad479e36c6474f95567c3ecb119d18b193b358df9e345e4d09392366255b21597b26fbf2374220b921cc2117a1972f88021c3a6ebac3844a319acbe SHA512 58f77edb9ced62cbac7b0baf2651c07f9f413267f103730ee25f08c5d4d0bf52a2ace02f58841bcd55652db677c7a1dc9a756681e7e32d590bc69d8b93e8f173
+DIST urllib3-1.26.0.tar.gz 291709 BLAKE2B e750bcd28c6205cb8e7f12c2a1c6123d48979877b206914fc122f67ff6cdf3e16e5d7ee0ffae1f4af40f028075f9592cdebf8856ca7e29b541283a8023afbf0d SHA512 5e5a78486cded9a378532a094818cfcaf6ec621d3aefbffac4c78f130798ee06f08e47d14f3d154274a502c8c1e3963a12d65030ba6109108ed786202637bd42
diff --git a/dev-python/urllib3/urllib3-1.26.0.ebuild b/dev-python/urllib3/urllib3-1.26.0.ebuild
new file mode 100644
index 000000000000..2e845200e543
--- /dev/null
+++ b/dev-python/urllib3/urllib3-1.26.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="https://github.com/urllib3/urllib3"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="brotli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
+ brotli? ( dev-python/brotlipy[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlipy[\${PYTHON_USEDEP}]
+ dev-python/mock[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.2.1[\${PYTHON_USEDEP}]
+ " python3_{6,7,8,9})
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/alabaster \
+ dev-python/mock
+
+python_prepare_all() {
+ # https://github.com/urllib3/urllib3/issues/1756
+ sed -e 's:10.255.255.1:240.0.0.0:' \
+ -i test/__init__.py || die
+ # tests failing if 'localhost.' cannot be resolved
+ sed -e 's:test_dotted_fqdn:_&:' \
+ -i test/with_dummyserver/test_https.py || die
+ sed -e 's:test_request_host_header_ignores_fqdn_dot:_&:' \
+ -i test/with_dummyserver/test_socketlevel.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x CI=1
+ # FIXME: get tornado ported
+ case ${EPYTHON} in
+ python3*)
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+ ;;
+ esac
+}